Zoho crm Logo

更新门户

目的

要在您的组织中更新门户的名称。

端点

  • PUT /settings/portals/{portal_name}

请求详情

请求 URL

{api-domain}/crm/{version}/settings/portals/{portal_name}

标题

授权:Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

scope=ZohoCRM.settings.clientportal.ALL
(或)
Scope=ZohoCRM.settings.clientportal.UPDATE

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/portals/PortalsAPItest100"
-X PUT
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@input.json"

输入 JSON

  • 名称字符串,必填

    门户的名称。确保该名称是唯一的,并且只包含字母和数字字符。

示例输入

Copied{
    "portals": [
        {
            "name": "PortalsAPItest200"
        }
    ]
}

可能的错误

  • PATTERN_NOT_MATCHEDHTTP 400

    门户名称包含特殊字符。
    解决方法:门户名称只能使US用字母和数字字符。

  • ALREADY_USEDHTTP 400

    门户名称已存在。
    解决方法:门户名称必US须唯一。请尝试使用其他名称。

  • NO_PERMISSIONHTTP 403

    您没有“管理门户”、“管理门户US者”权限,或两者都没有。
    解决方法:请参考响应中的“details”字段,并联系您的管理员。

示例响应

Copied{
    "portals": [
        {
            "code": "SUCCESS",
            "details": {
                "name": "PortalsAPItest200"
            },
            "message": "Portal renamed successfully with given name.",
            "status": "success"
        }
    ]
}